%% Composition of the 4 tests

% Copy into directory
% C:\NTNU_Data\Dropbox\Victoria\Skole\Master\Double Reflector - Copy\Pictures to play with

clc
clear

Test = '675';
Lev = 'not_levelled';
Dir = 'C:\NTNU_Data\Pictures\dist';



cd(horzcat(Dir,Test,Lev));

%% Load N-E data

load('CompositionDataN-E.mat');
S = size(Composition);

CompositionAll = zeros(S,'double');
AreaAll = [0 0 0 0];
MeanAll = [0 0 0 0];
MaxAll = [0 0 0 0];
PicturecountAll = [0 0 0 0];

CompositionAll = CompositionAll+Composition;
AreaAll(1) = Area;
MeanAll(1) = MeanIntensity;
MaxAll(1) = MaxIntensity;
HitsAll(1) = Hits;
PicturecountAll(1) = Picturecount;

%% Load S-E data

load('CompositionDataS-E.mat');

CompositionAll = CompositionAll+Composition;
AreaAll(2) = Area;
MeanAll(2) = MeanIntensity;
MaxAll(2) = MaxIntensity;
HitsAll(2) = Hits;
PicturecountAll(2) = Picturecount;

%% Load S-W data

load('CompositionDataS-W.mat');

CompositionAll = CompositionAll+Composition;
AreaAll(3) = Area;
MeanAll(3) = MeanIntensity;
MaxAll(3) = MaxIntensity;
HitsAll(3) = Hits;
PicturecountAll(3) = Picturecount;

%% Load N-W data

load('CompositionDataN-W.mat');

CompositionAll = CompositionAll+Composition;
AreaAll(4) = Area;
MeanAll(4) = MeanIntensity;
MaxAll(4) = MaxIntensity;
HitsAll(4) = Hits;
PicturecountAll(4) = Picturecount;

%% Calculate mean
MeanTot = sum(MeanAll.*AreaAll)/sum(AreaAll);
Efficiency_hits = sum(HitsAll)/sum(PicturecountAll);

CompositionAll8 = zeros(size(CompositionAll),'uint8');
CompositionAll8 = (CompositionAll*255)/sum(HitsAll);

%% Calculate properties
bwCompositionAll = CompositionAll > 0;

bwCompositionAll = im2double(bwCompositionAll);
CC = bwconncomp(bwCompositionAll);
[B,L] = bwboundaries(bwCompositionAll,'noholes');

%STATS = regionprops(bwCompositionAll,CompositionAll8,'MeanIntensity');
%MeanIntensity = STATS.MeanIntensity;

%STATS = regionprops(bwCompositionAll,CompositionAll8,'MaxIntensity');
%MaxIntensity = STATS.MaxIntensity;

%STATS = regionprops(bwCompositionAll,'MaxIntensity');
%Areavecotr = [STATS.Area];
%AreaTotal = sum(Areavector);

%% Plot surfaces

Max = max(CompositionAll8(:));

figure(2);
surf(CompositionAll8);
title(horzcat('Surface plot of laser dots in ',Test,'  Efficiency:'...
    ,num2str(Efficiency_hits),'  Max:',num2str(Max)));
%axis('equal');
axis('tight');
shading('interp');
colormap('hot');
colorbar
view(90,0);
